> ## Documentation Index
> Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

Lists all currently available models and provides essential details about each, including the owner and availability.

## Response

<ResponseField name="object" type="string">
  The object type, which is always `list`.
</ResponseField>

<ResponseField name="data" type="array">
  An array of model objects.

  <Expandable title="model properties">
    <ResponseField name="id" type="string">
      The model identifier, which can be referenced in the API endpoints.
    </ResponseField>

    <ResponseField name="object" type="string">
      The object type, which is always `model`.
    </ResponseField>

    <ResponseField name="created" type="integer">
      The Unix timestamp (in seconds) of when the model was created.
    </ResponseField>

    <ResponseField name="owned_by" type="string">
      The organization that owns the model.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```python Python theme={null}
  import os
  from cerebras.cloud.sdk import Cerebras

  client = Cerebras(api_key=os.environ.get("CEREBRAS_API_KEY"))

  models = client.models.list()

  print(models)
  ```

  ```javascript Node.js theme={null}
  import Cerebras from '@cerebras/cerebras_cloud_sdk';

  const client = new Cerebras({
    apiKey: process.env['CEREBRAS_API_KEY'],
  });

  async function main() {
    const models = await client.models.list();
    
    console.log(models);
  }

  main();
  ```

  ```bash cURL theme={null}
  curl https://api.cerebras.ai/v1/models \
    -H "Authorization: Bearer $CEREBRAS_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "object": "list",
    "data": [
      {
        "id": "zai-glm-4.7",
        "object": "model",
        "created": 0,
        "owned_by": "Cerebras"
      },
      {
        "id": "gpt-oss-120b",
        "object": "model",
        "created": 0,
        "owned_by": "Cerebras"
      }
    ]
  }
  ```
</ResponseExample>
